{
    "type": "MonsterHealthPanel", "name": "HUDMonsterHealth",
    "fields": {
        "priority": -100,
        "anchor": { "x": 0.5 },
        "rect": { "y": 80 }
    },
    "children": [
        {
            "type": "Widget", "name": "ScreenAnchored",
            "children": [
                {
                    "type": "TextBoxWidget", "name": "Name",
                    "fields": {
                        "style": {
                            "pointSize": "$MediumFontSize",
                            "alignment": { "h": "center" },
                            "options": { "pipeCharacterBehavior": "handle" }
                        }
                    }
                },
                {
                    "type": "TextBoxWidget", "name": "Unique",
                    "fields": {
                        "rect": { "y": 50 },
                        "style": {
                            "pointSize": "$SmallFontSize",
                            "alignment": { "h": "center" },
                            "options": { "pipeCharacterBehavior": "handle" }
                        }
                    }
                },
                {
                    "type": "TextBoxWidget", "name": "Additional",
                    "fields": {
                        "rect": { "y": 120 },
                        "style": {
                            "pointSize": "$SmallFontSize",
                            "alignment": { "h": "center" },
                            "options": { "pipeCharacterBehavior": "handle" }
                        }
                    }
                }
            ]
        },
        {
            "type": "Widget", "name": "TargetAttached",
            "children": [
                {
                    "type": "GrowableImageWidget", "name": "UniqueMonsterBackground",	//콘솔 or pc패드 보스몹(유니크?) 테두리 이미지영역
                    "rect": { "x": -500, "y": -26 },
                    "fields": {
                        "filename": "Controller/HUD/MonsterHealth/monster_healthbar_unique",
                        "leftCap/filename": "Controller/HUD/MonsterHealth/monster_healthbar_unique_left_cap",
                        "rightCap/filename": "Controller/HUD/MonsterHealth/monster_healthbar_unique_right_cap",
                        "leftCapOffset": { "x": 0, "y": 0 },
                        "rightCapOffset": { "x": 0, "y": 0 },
                        "placeCapsOutsideRect": true
                    },
                    "children": [
                        {
                            "type": "ImageWidget", "name": "BottomCap",
                            "fields": {
                                "anchor": { "x": 0.5, "y": 1 },
                                "rect": { "x": -60 },
                                "filename": "Controller/HUD/MonsterHealth/monster_healthbar_unique_bottom_cap"
                            }
                        }
                    ]
                },
                {
                    "type": "GrowableImageWidget", "name": "NormalMonsterBackground",	//콘솔 or pc패드 일반몹 테두리 이미지영역
                    "rect": { "x": -500, "y": -26 },
                    "fields": {
                        "filename": "Controller/HUD/MonsterHealth/monster_healthbar_normal",
                        "leftCap/filename": "Controller/HUD/MonsterHealth/monster_healthbar_normal_left_cap",
                        "rightCap/filename": "Controller/HUD/MonsterHealth/monster_healthbar_normal_right_cap",
                        "leftCapOffset": { "x": 0, "y": 0 },
                        "rightCapOffset": { "x": 0, "y": 0 },
                        "placeCapsOutsideRect": true
                    }
                },
                {
                    "type": "HealthBarWidget", "name": "Health",	//콘솔 or pc패드 피통영역
                    "fields": {
                        "rect": { "x": 0, "y": -86, "height": 44},		//이미지 높이를 모르므로 테두리를 계속 보여 수동으로 맞춰야함:글자는 현재 36pt임
                        "normalColor": { "r": 50, "g": 180, "b": 0 },	//몹 피통색 : 녹색: rgb 지정으로 색 변경 가능
						"transparency": 0.75,
						"backgroundTransparency": 0.75,
						"criticalHealthPercent": [0, 10],	//몬스터 체력의 0~10프로 일 경우 빨강색표시 (용병과 동일) 고정색
						"warningHealthPercent": [11, 50],	//몬스터 체력의 11~50프로 일 경우 주황색 표시 (용병과 동일) 고정색
						"drawWhenEmpty": true,
                    },
                    "children": [
                        {
                            "type": "TextBoxWidget", "name": "Name",
                            "fields": {
                                "rect": { "x": 0, "y": 0 },
                                "anchor": { "x": 0.5, "y": 0.5 },
                                "style": {
                                    "pointSize": "$LargeFontSize",
                                    "alignment": { "h": "center", "v": "center" },
                                    "options": { "pipeCharacterBehavior": "handle" }
                                }
                            }
                        },
                    ]
                },
            ]
        }
    ]
}
